Deductions
Get Deduction Template
Get a Deduction Template for a company.
GET
/
deductionTemplate
Get Deduction Template
curl --request GET \
--url https://api.zeal.com/deductionTemplate \
--header 'Authorization: <api-key>'import requests
url = "https://api.zeal.com/deductionTemplate"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.zeal.com/deductionTemplate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"companyID": "fc235f012bae46aa8a082f",
"deductionTemplateID": "61cad98c3e6f8201c34c77c0",
"custom_name": "Zeal Testing 401k",
"deduction_type": "401k",
"employer_contribution": {
"properties": {
"contribution_type": {
"const": "dollars"
},
"percentage_source": {
"enum": [
"contribution",
"paycheck"
]
},
"matching": {
"const": false
},
"value": {
"type": "number",
"default": 0
},
"override_type": {
"const": "overridable"
}
},
"required": [
"value"
]
},
"employee_contribution": {
"properties": {
"contribution_type": {
"const": "dollars"
},
"value": {
"type": "number",
"default": 0
},
"override_type": {
"const": "overridable"
}
},
"required": [
"value"
]
}
}
]
}{
"success": false,
"errors": [
{
"message": "Employee with this employeeID does not exist",
"code": 23
}
]
}Authorizations
Query Parameters
ID of Company
ID of Deduction template. If no value is passed, then all deduction templates will be retrieved.
⌘I
Get Deduction Template
